#ifndef DS_IOMANIPTYPES__HPP
#define DS_IOMANIPTYPES__HPP

namespace DS_NAMESPACE
{

  class resetiosflags_t
  {
  public:
    ios_base::fmtflags flags;
    resetiosflags_t(ios_base::fmtflags f)
      : flags(f)
    { }
  private:
    resetiosflags_t();
    resetiosflags_t& operator= (const resetiosflags_t&);
  };

  class setiosflags_t
  {
  public:
    ios_base::fmtflags flags;
    setiosflags_t(ios_base::fmtflags f)
      : flags(f)
    { }
  private:
    setiosflags_t();
    setiosflags_t& operator=(const setiosflags_t&);
  };

  class setbase_t
  {
  public:
    int base;
    setbase_t(int b)
      : base(b)
    { }
  private:
    setbase_t();
    setbase_t& operator= (const setbase_t&);
  };

  class setfill_t
  {
  public:
    int fill;
    setfill_t(int f)
      : fill(f)
    { }
  private:
    setfill_t();
    setfill_t& operator= (const setfill_t&);
  };

  class setprecision_t
  {
  public:
    streamsize prec;
    setprecision_t(streamsize p)
      : prec(p)
    { }
  private:
    setprecision_t();
    setprecision_t& operator= (const setprecision_t&);
  };

  class setw_t
  {
  public:
    streamsize width;
    setw_t(streamsize w)
      : width(w)
    { }
  private:
    setw_t();
    setw_t& operator= (const setw_t&);
  };

}

#endif
