#ifndef DS_OSTRINGSTREAM__HPP
#define DS_OSTRINGSTREAM__HPP

#include <ds_basicostream.hpp>
#include <ds_stringstreamhelper.hpp>

namespace DS_NAMESPACE
{
  template <TYPENAME charT>
  class basic_ostringstream : public virtual basic_ostream<charT>, public virtual basic_stringstreamhelper< charT, typename stringstream_traits<charT>::sb_t >
  {
  public:
    basic_ostringstream<charT>()
    {
      this->init(mysb);
    }
  };

  typedef basic_ostringstream<char> ostringstream;
  typedef basic_ostringstream<wchar_t> wostringstream;
}

#endif
