#include <ds_streambuf.hpp>

namespace DS_NAMESPACE
{

  int streambuf::globalcount;

  streambuf::streambuf()
    : refcount(0)
  {
#if DEBUG
    globalcount++;
#endif
  }

  streambuf::~streambuf()
  {
#if DEBUG
    globalcount--;
#endif
  }

  int streambuf::addref()
  { 
    ++refcount;
    ds_debughook("addref(): this %i", (int)this);
    ds_debughook("addref(): %i", refcount);
    return refcount;
  }

  int streambuf::delref()
  {
    --refcount;
    ds_debughook("delref(): this %i", (int)this);
    ds_debughook("delref(): %i", refcount);
    return refcount;
  }

}
